VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CCommandMenuItem::Desc Struct Reference

## Public Member Functions
| Desc ()=default
| ~Desc () noexcept=default
| Desc (const UTF8String &title, const UTF8String &keycode=nullptr, int32_t keyModifiers=0, CBitmap *icon=nullptr, int32_t flags=kNoFlags, ICommandMenuItemTarget *target=nullptr, const UTF8String &commandCategory=nullptr, const UTF8String &commandName=nullptr)
| Desc (const UTF8String &title, int32_t tag, ICommandMenuItemTarget *target=nullptr, const UTF8String &commandCategory=nullptr, const UTF8String &commandName=nullptr)
| Desc (const UTF8String &title, ICommandMenuItemTarget *target, const UTF8String &commandCategory=nullptr, const UTF8String &commandName=nullptr)

## Public Attributes
UTF8String | title
UTF8String | commandCategory
UTF8String | commandName
UTF8String | keycode
SharedPointer < ICommandMenuItemTarget > | target
SharedPointer< CBitmap > | icon
int32_t | keyModifiers {0}
int32_t | flags {kNoFlags}
int32_t | tag {-1}

## Constructor & Destructor Documentation

Desc | ( |  | ) |
| default

~Desc | ( |  | ) |
| default noexcept

Desc | ( | const UTF8String & | title,
|  | const UTF8String & | keycode = `nullptr`,
|  | int32_t | keyModifiers = `0`,
|  | CBitmap * | icon = `nullptr`,
|  | int32_t | flags = `kNoFlags`,
|  | ICommandMenuItemTarget * | target = `nullptr`,
|  | const UTF8String & | commandCategory = `nullptr`,
|  | const UTF8String & | commandName = `nullptr`
| ) |  |
| inline

Desc | ( | const UTF8String & | title,
|  | int32_t | tag,
|  | ICommandMenuItemTarget * | target = `nullptr`,
|  | const UTF8String & | commandCategory = `nullptr`,
|  | const UTF8String & | commandName = `nullptr`
| ) |  |
| inline

Desc | ( | const UTF8String & | title,
|  | ICommandMenuItemTarget * | target,
|  | const UTF8String & | commandCategory = `nullptr`,
|  | const UTF8String & | commandName = `nullptr`
| ) |  |
| inline

## Member Data Documentation

UTF8String commandCategory

UTF8String commandName

int32_t flags {kNoFlags}

SharedPointer<CBitmap> icon

UTF8String keycode

int32_t keyModifiers {0}

int32_t tag {-1}

SharedPointer<ICommandMenuItemTarget> target

UTF8String title

The documentation for this struct was generated from the following file:

- coptionmenu.h